Views
Get a view
AuthorizationBearer <token>
API key minted via POST /v1/api-keys (format mk_live_...)
In: header
Path Parameters
idstring
View id (vw_...).
Length
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X GET "https://api.mentio.dev/v1/views/vw_abc123"{
"id": "string",
"name": "string",
"description": "string",
"filter": {
"q": "string",
"keywordIds": [
"string"
],
"notKeywordIds": [
"string"
],
"keywordKinds": [
"brand"
],
"platforms": [
"bluesky"
],
"notPlatforms": [
"bluesky"
],
"status": "open",
"relevant": true,
"minRelevance": 100,
"minConfidence": 1,
"sentiments": [
"positive"
],
"notSentiments": [
"positive"
],
"intents": [
"string"
],
"notIntents": [
"string"
],
"automated": true,
"languages": [
"string"
],
"notLanguages": [
"string"
],
"tags": [
"string"
],
"notTags": [
"string"
],
"linkHosts": [
"string"
],
"notLinkHosts": [
"string"
],
"minFollowers": 0,
"maxFollowers": 0,
"isReply": true,
"excludeAuthors": [
"string"
]
},
"createdAt": "string",
"updatedAt": "string"
}{
"error": {
"code": "unauthorized",
"message": "string",
"requestId": "string",
"retryAfterSeconds": 0
}
}{
"error": {
"code": "unauthorized",
"message": "string",
"requestId": "string",
"retryAfterSeconds": 0
}
}